Subject: Re: bug#44414: xterm has GI_TYPELIB_PATH set when started via gdm via fluxbox

From: Maxime Devos <[email-masked]>
Date: Mon, 30 Aug 2021 19:32:03 +0200

> Danny Milosavljevic <[email-masked]> writes:
> 
> > Hi,
> > 
> > this is one of the bug reports in the aftermath of the problem I had outlined
> > in "GNOME in Guix" thread.
> > 
> > Currently, even when using xterm, started by fluxbox, started by gdm-x-session,
> > the environment variable GI_TYPELIB_PATH is set inside the shell started by
> > that xterm.
> > 
> > Please don't do set GI_TYPELIB_PATH that way.

I took a look at which package or service might be setting GI_TYPELIB_PATH.
xterm and fluxbox don't use wrap-program, so probably not those.
gdm uses glib-or-gtk-build-system, which has a glib-or-gtk-wrap phase,
which wraps programs, setting various environment variables.

It should probably be disabled in this case.  I don't know if GDM uses
GI_TYPELIB_PATH.  If it does, somehow GDM must still find the right
typelibs without setting GI_TYPELIB_PATH ... Or maybe it could simply
unset GI_TYPELIB_PATH between fork(...) and exec(...)? (Requires source
code patching ...)

Greetings,
Maxime.